# $Id$

MAINTAINERCLEANFILES = Makefile.in
INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/libltdl

LAYER_ACTION_HH = \
	actions/layeractivate.h   actions/layeradd.h   actions/layerduplicate.h   actions/layerencapsulate.h		\
	actions/layerlower.h   actions/layermove.h   actions/layerparamconnect.h   actions/layerparamdisconnect.h	\
	actions/layerparamset.h   actions/layerraise.h   actions/layerremove.h   actions/layersetdesc.h
LAYER_ACTION_CC = \
	actions/layeractivate.cpp actions/layeradd.cpp actions/layerduplicate.cpp actions/layerencapsulate.cpp		\
	actions/layerlower.cpp actions/layermove.cpp actions/layerparamconnect.cpp actions/layerparamdisconnect.cpp	\
	actions/layerparamset.cpp actions/layerraise.cpp actions/layerremove.cpp actions/layersetdesc.cpp

VALUEDESC_ACTION_HH = \
	actions/valuedescconnect.h   actions/valuedescconvert.h   actions/valuedescdisconnect.h				\
	actions/valuedescexport.h   actions/valuedesclink.h   actions/valuedescblinelink.h   actions/valuedescset.h
VALUEDESC_ACTION_CC = \
	actions/valuedescconnect.cpp actions/valuedescconvert.cpp actions/valuedescdisconnect.cpp			\
	actions/valuedescexport.cpp actions/valuedesclink.cpp actions/valuedescblinelink.cpp actions/valuedescset.cpp

VALUENODE_ACTION_HH = \
	actions/valuenodeadd.h   actions/valuenodeconstset.h   actions/valuenodedynamiclistinsert.h			\
	actions/valuenodedynamiclistinsertsmart.h   actions/valuenodedynamiclistloop.h					\
	actions/valuenodedynamiclistremove.h   actions/valuenodedynamiclistremovesmart.h				\
	actions/valuenodedynamiclistrotateorder.h   actions/valuenodedynamiclistunloop.h				\
	actions/valuenodelinkconnect.h   actions/valuenodelinkdisconnect.h   actions/valuenoderemove.h			\
	actions/valuenoderename.h   actions/valuenodereplace.h
VALUENODE_ACTION_CC = \
	actions/valuenodeadd.cpp actions/valuenodeconstset.cpp actions/valuenodedynamiclistinsert.cpp			\
	actions/valuenodedynamiclistinsertsmart.cpp actions/valuenodedynamiclistloop.cpp				\
	actions/valuenodedynamiclistremove.cpp actions/valuenodedynamiclistremovesmart.cpp				\
	actions/valuenodedynamiclistrotateorder.cpp actions/valuenodedynamiclistunloop.cpp				\
	actions/valuenodelinkconnect.cpp actions/valuenodelinkdisconnect.cpp actions/valuenoderemove.cpp		\
	actions/valuenoderename.cpp actions/valuenodereplace.cpp

WAYPOINT_ACTION_HH = \
	actions/waypointadd.h   actions/waypointremove.h   actions/waypointset.h   actions/waypointsetsmart.h		\
	actions/waypointsimpleadd.h   actions/waypointconnect.h   actions/waypointdisconnect.h
WAYPOINT_ACTION_CC = \
	actions/waypointadd.cpp actions/waypointremove.cpp actions/waypointset.cpp actions/waypointsetsmart.cpp		\
	actions/waypointsimpleadd.cpp actions/waypointconnect.cpp actions/waypointdisconnect.cpp

TIMEPOINT_ACTION_HH = \
	actions/timepointscopy.h   actions/timepointsdelete.h   actions/timepointsmove.h   timegather.h
TIMEPOINT_ACTION_CC = \
	actions/timepointscopy.cpp actions/timepointsdelete.cpp actions/timepointsmove.cpp timegather.cpp

ACTIVEPOINT_ACTION_HH = \
	actions/activepointadd.h   actions/activepointremove.h   actions/activepointset.h				\
	actions/activepointsetoff.h   actions/activepointseton.h   actions/activepointsetsmart.h			\
	actions/activepointsimpleadd.h
ACTIVEPOINT_ACTION_CC = \
	actions/activepointadd.cpp actions/activepointremove.cpp actions/activepointset.cpp				\
	actions/activepointsetoff.cpp actions/activepointseton.cpp actions/activepointsetsmart.cpp			\
	actions/activepointsimpleadd.cpp

KEYFRAME_ACTION_HH = \
	actions/keyframeadd.h   actions/keyframeduplicate.h   actions/keyframeremove.h   actions/keyframeset.h		\
	actions/keyframesetdelta.h   actions/keyframewaypointset.h
KEYFRAME_ACTION_CC = \
	actions/keyframeadd.cpp actions/keyframeduplicate.cpp actions/keyframeremove.cpp actions/keyframeset.cpp	\
	actions/keyframesetdelta.cpp actions/keyframewaypointset.cpp

CANVAS_ACTION_HH = \
	actions/canvasadd.h   actions/canvasdescriptionset.h   actions/canvasidset.h   actions/canvasnameset.h		\
	actions/canvasremove.h   actions/canvasrenddescset.h
CANVAS_ACTION_CC = \
	actions/canvasadd.cpp actions/canvasdescriptionset.cpp actions/canvasidset.cpp actions/canvasnameset.cpp	\
	actions/canvasremove.cpp actions/canvasrenddescset.cpp

GROUP_ACTION_HH = \
	actions/groupaddlayers.h   actions/groupremove.h   actions/groupremovelayers.h   actions/grouprename.h
GROUP_ACTION_CC = \
	actions/groupaddlayers.cpp actions/groupremove.cpp actions/groupremovelayers.cpp actions/grouprename.cpp

OTHER_ACTION_HH = \
	actions/blinepointtangentmerge.h   actions/blinepointtangentsplit.h   actions/colorset.h			\
	actions/editmodeset.h   actions/gradientset.h
OTHER_ACTION_CC = \
	actions/blinepointtangentmerge.cpp actions/blinepointtangentsplit.cpp actions/colorset.cpp			\
	actions/editmodeset.cpp actions/gradientset.cpp

ACTIONHH = \
	$(ACTIVEPOINT_ACTION_HH) $(CANVAS_ACTION_HH) $(GROUP_ACTION_HH) $(KEYFRAME_ACTION_HH) $(LAYER_ACTION_HH)	\
	$(OTHER_ACTION_HH) $(TIMEPOINT_ACTION_HH) $(VALUEDESC_ACTION_HH) $(VALUENODE_ACTION_HH) $(WAYPOINT_ACTION_HH)
ACTIONCC = \
	$(ACTIVEPOINT_ACTION_CC) $(CANVAS_ACTION_CC) $(GROUP_ACTION_CC) $(KEYFRAME_ACTION_CC) $(LAYER_ACTION_CC)	\
	$(OTHER_ACTION_CC) $(TIMEPOINT_ACTION_CC) $(VALUEDESC_ACTION_CC) $(VALUENODE_ACTION_CC) $(WAYPOINT_ACTION_CC)

SYNFIGAPPHH = \
	editmode.h selectionmanager.h \
	$(ACTIONHH) action.h   action_param.h   action_system.h   blineconvert.h   canvasinterface.h   cvs.h		\
	inputdevice.h   instance.h   main.h   settings.h   uimanager.h   value_desc.h   general.h
SYNFIGAPPCC = \
	$(ACTIONCC) action.cpp action_param.cpp action_system.cpp blineconvert.cpp canvasinterface.cpp cvs.cpp		\
	inputdevice.cpp instance.cpp main.cpp settings.cpp uimanager.cpp value_desc.cpp

synfiglibdir = @synfiglibdir@

lib_LTLIBRARIES = libsynfigapp.la
libsynfigapp_la_SOURCES = $(SYNFIGAPPCC) $(SYNFIGAPPHH)
libsynfigapp_la_LIBADD = @SYNFIG_LIBS@
libsynfigapp_la_CXXFLAGS = @SYNFIG_CFLAGS@ "-DLOCALEDIR=\"$(localedir)\""
libsynfigapp_la_LDFLAGS = -export-dynamic -no-undefined

include_synfigappdir = $(prefix)/include/synfigapp-0.0/synfigapp
include_synfigapp_HEADERS = $(SYNFIGAPPHH)
